Product Search

    SEARCH NOW FOR ALL YOUR NOVOTECHNIK SOLUTIONS

    Radwell is here to supply you with all your plant floor needs.

    Radwell is not an authorised distributor, reseller or representative of the products featured on this website. All product names, trademarks, brands and logos used on this site are the property of their respective owners. The depiction, description or sale of products featuring these names, trademarks, brands and logos is for identification purposes only and is not intended to indicate any affiliation with or authorisation by any rights holder.

    Filter Results
    Results 251-300 of 597.
    NOVOTECHNIK RSC2801-212-411-432

    NOVOTECHNIK

    RSC2801-212-411-432

    HALL EFFECT ROTARY DISPLACEMENT SENSOR
    €218.39 Price with VAT: €259.89 Buy Surplus As Low As €109.20 Price with VAT: €129.95
    €109.20 Price with VAT: €129.95
    NOVOTECHNIK Z-RFC-P02

    NOVOTECHNIK

    Z-RFC-P02

    ROTARY SENSOR, RFC SERIES, CONTACTLESS, POSITION MARKER
    €87.75 Price with VAT: €104.42 Buy Surplus As Low As €53.36 Price with VAT: €63.50
    €53.36 Price with VAT: €63.50
    NOVOTECHNIK LWH6003

    NOVOTECHNIK

    LWH6003

    POTENTIOMETER
    €547.32 Price with VAT: €651.31 Buy Surplus As Low As €328.39 Price with VAT: €390.79
    €328.39 Price with VAT: €390.79
    NOVOTECHNIK LWI-600

    NOVOTECHNIK

    LWI-600

    LINEAR TRANSDUCER
    €396.92 Price with VAT: €472.34 Buy Surplus As Low As €238.51 Price with VAT: €283.82
    €238.51 Price with VAT: €283.82
    Repair Yours Contact Us
    NOVOTECHNIK 610515

    NOVOTECHNIK

    610515

    TEST GAUGE HOSE ADAPTOR
    Buy Surplus As Low As €40.05 Price with VAT: €47.66
    €40.05 Price with VAT: €47.66
    NOVOTECHNIK LWH-255

    NOVOTECHNIK

    LWH-255

    TRANSDUCER
    €255.42 Price with VAT: €303.95 Buy Surplus As Low As €153.07 Price with VAT: €182.16
    €153.07 Price with VAT: €182.16
    Repair Yours Contact Us
    NOVOTECHNIK LWI750R

    NOVOTECHNIK

    LWI750R

    LNR ACTUATOR
    €547.32 Price with VAT: €651.31 Buy Surplus As Low As €328.39 Price with VAT: €390.79
    €328.39 Price with VAT: €390.79
    Repair Yours Contact Us
    NOVOTECHNIK LW9/225

    NOVOTECHNIK

    LW9/225

    POSITION TRANSDUCER 225MM RANGE 2.4KOHM +20PERCENT
    Buy Surplus As Low As €416.50 Price with VAT: €495.63
    €416.50 Price with VAT: €495.63
    Repair Yours Contact Us
    NOVOTECHNIK 002363

    NOVOTECHNIK

    002363

    LINEAR POSITION TRANSDUCER 75MM TR75
    €295.47 Price with VAT: €351.60 Buy Surplus As Low As €147.73 Price with VAT: €175.80
    €147.73 Price with VAT: €175.80
    Repair Yours Contact Us
    NOVOTECHNIK 024349

    NOVOTECHNIK

    024349

    POSITION TRANSDUCER 366MM STROKE 360MM RANGE 5KW
    €264.32 Price with VAT: €314.54 Buy Surplus As Low As €159.30 Price with VAT: €189.57
    €159.30 Price with VAT: €189.57
    Repair Yours Contact Us
    NOVOTECHNIK SP-2801A502

    NOVOTECHNIK

    SP-2801A502

    SENSOR POTENTIOMETER
    €61.41 Price with VAT: €73.07 Buy Surplus As Low As €37.38 Price with VAT: €44.48
    €37.38 Price with VAT: €44.48
    NOVOTECHNIK IP6501-G252

    NOVOTECHNIK

    IP6501-G252

    010004, ROTARY SHAFT-TYPE POTENTIOMETER WITH EXCELLENT LINEARITY,
    €624.75 Price with VAT: €743.45 Buy Surplus As Low As €375.56 Price with VAT: €446.92
    €375.56 Price with VAT: €446.92
    Repair Yours Contact Us
    NOVOTECHNIK 023262

    NOVOTECHNIK

    023262

    DISCONTINUED BY MANUFACTURER, POSITION TRANSDUCER
    Buy Surplus As Low As €94.34 Price with VAT: €112.26
    €94.34 Price with VAT: €112.26
    NOVOTECHNIK RFC 4853 603 111 201

    NOVOTECHNIK

    RFC 4853 603 111 201

    ROTARY SENSOR, TOUCHLESS, 2-PART, MECHANICALLY DECOUPLED, IP67, IP6K9K
    €186.89 Price with VAT: €222.40 Buy Surplus As Low As €112.13 Price with VAT: €133.44
    €112.13 Price with VAT: €133.44
    NOVOTECHNIK TS-100 #023235

    NOVOTECHNIK

    TS-100 #023235

    POSITION TRANSDUCER, POTENTIOMETRIC, UP TO 150 MM
    €383.98 Price with VAT: €456.94 Buy Surplus As Low As €229.21 Price with VAT: €272.76
    €229.21 Price with VAT: €272.76
    Repair Yours Contact Us
    NOVOTECHNIK P6501A202

    NOVOTECHNIK

    P6501A202

    008202, ROTARY SHAFT-TYPE POTENTIOMETERS,
    €402.41 Price with VAT: €478.87 Buy Surplus As Low As €227.41 Price with VAT: €270.62
    €227.41 Price with VAT: €270.62
    NOVOTECHNIK SP280150002

    NOVOTECHNIK

    SP280150002

    POTENTIOMETER 120NCM 3WIRE
    Buy Surplus As Low As €43.57 Price with VAT: €51.85
    €43.57 Price with VAT: €51.85
    NOVOTECHNIK Z-TLM-P05

    NOVOTECHNIK

    Z-TLM-P05

    DISCONTINUED BY MANUFACTURER, GUIDED POSITION MARKER
    Buy Surplus As Low As €170.87 Price with VAT: €203.34
    €170.87 Price with VAT: €203.34
    NOVOTECHNIK RFC4851-636-122-501

    NOVOTECHNIK

    RFC4851-636-122-501

    ROTARY POTENTIOMETER
    €258.98 Price with VAT: €308.18 Buy Surplus As Low As €129.93 Price with VAT: €154.62
    €129.93 Price with VAT: €154.62
    NOVOTECHNIK TRS50A502

    NOVOTECHNIK

    TRS50A502

    TRANSDUCER, USE TRS-0050
    Buy Surplus As Low As €277.67 Price with VAT: €330.42
    €277.67 Price with VAT: €330.42
    NOVOTECHNIK F205-G-005303

    NOVOTECHNIK

    F205-G-005303

    LINEAR TRANSDUCER 24V 10MM
    €138.83 Price with VAT: €165.21 Buy Surplus As Low As €69.42 Price with VAT: €82.61
    €69.42 Price with VAT: €82.61
    NOVOTECHNIK LWH300-4

    NOVOTECHNIK

    LWH300-4

    LINEAR ROD, POSTITION SENSOR, PIVOT HEAD, 300MM STROKE, IP54, W/ PLUG CONNECTOR
    €566.01 Price with VAT: €673.55 Buy Surplus As Low As €339.96 Price with VAT: €404.56
    €339.96 Price with VAT: €404.56
    NOVOTECHNIK Z105G6

    NOVOTECHNIK

    Z105G6

    FORK COUPLING, #005691, FOR ANGULAR POSITION SENSORS, 6MM SHAFT DIA, ROHS COMPLIANT
    €107.68 Price with VAT: €128.14 Buy Surplus As Low As €64.97 Price with VAT: €77.31
    €64.97 Price with VAT: €77.31
    NOVOTECHNIK 512546

    NOVOTECHNIK

    512546

    HARDWARE KIT
    €20.47 Price with VAT: €24.36 Buy Surplus As Low As €12.46 Price with VAT: €14.83
    €12.46 Price with VAT: €14.83
    NOVOTECHNIK TLH400

    NOVOTECHNIK

    TLH400

    TRANSDUCER
    €396.92 Price with VAT: €472.34 Buy Surplus As Low As €238.51 Price with VAT: €283.82
    €238.51 Price with VAT: €283.82
    Repair Yours Contact Us
    NOVOTECHNIK 002445

    NOVOTECHNIK

    002445

    POSITION TRANSDUCER 366MM STROKE 360MM RANGE 5KW
    €264.32 Price with VAT: €314.54 Buy Surplus As Low As €159.30 Price with VAT: €189.57
    €159.30 Price with VAT: €189.57
    Repair Yours Contact Us
    NOVOTECHNIK TL-600

    NOVOTECHNIK

    TL-600

    LARGE VERITABLE RESISTOR
    Buy Surplus As Low As €309.71 Price with VAT: €368.55
    €309.71 Price with VAT: €368.55
    NOVOTECHNIK MAP232.3-GWB

    NOVOTECHNIK

    MAP232.3-GWB

    INDICATOR DIGITAL 4DIGIT 24VDC
    Buy Surplus As Low As €213.59 Price with VAT: €254.17
    €213.59 Price with VAT: €254.17
    Repair Yours Contact Us
    NOVOTECHNIK LWH-0110

    NOVOTECHNIK

    LWH-0110

    024560, LINEAR ROD-TYPE POTENTIOMETER WITH CLAMP MOUNTING,
    €664.80 Price with VAT: €791.11 Buy Surplus As Low As €399.59 Price with VAT: €475.51
    €399.59 Price with VAT: €475.51
    NOVOTECHNIK RFC-4801-609-322-256

    NOVOTECHNIK

    RFC-4801-609-322-256

    RFC-4801-609-322-256
    €151.29 Price with VAT: €180.04 Buy Surplus As Low As €90.78 Price with VAT: €108.02
    €90.78 Price with VAT: €108.02
    NOVOTECHNIK GP 5 P 4501 A502

    NOVOTECHNIK

    GP 5 P 4501 A502

    009102, MULTI-TURN ROTARY POTENTIOMETER WITH 3, 5 OR 10 TURNS,
    €738.66 Price with VAT: €879.01 Buy Surplus As Low As €443.20 Price with VAT: €527.41
    €443.20 Price with VAT: €527.41
    NOVOTECHNIK 602078

    NOVOTECHNIK

    602078

    COUPLING FLANGE T-SERIES, FOR T/TS SERIES (MOUNTS TO SHAFT…602077 MOUNTS TO THIS),
    €52.51 Price with VAT: €62.48 Buy Surplus As Low As €32.04 Price with VAT: €38.13
    €32.04 Price with VAT: €38.13
    NOVOTECHNIK 602077

    NOVOTECHNIK

    602077

    COUPLING T-SERIES, FLEX SHAFT COUPLING FOR T/TS SERIES (Z-301-T5/M4),
    €80.10 Price with VAT: €95.31 Buy Surplus As Low As €48.06 Price with VAT: €57.19
    €48.06 Price with VAT: €57.19
    1 2 3 4 5 6 7 8 9 10 11